
From: Chris Wright <chrisw@osdl.org>

Audit inode filter drops high bits on inode number by cut 'n paste mistake.

Signed-off-by: Chris Wright <chrisw@osdl.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/auditsc.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN kernel/auditsc.c~fix-audit-inode-filter kernel/auditsc.c
--- 25/kernel/auditsc.c~fix-audit-inode-filter	2005-02-25 18:48:24.000000000 -0800
+++ 25-akpm/kernel/auditsc.c	2005-02-25 18:48:24.000000000 -0800
@@ -358,7 +358,7 @@ static int audit_filter_rules(struct tas
 		case AUDIT_INODE:
 			if (ctx) {
 				for (j = 0; j < ctx->name_count; j++) {
-					if (MINOR(ctx->names[j].ino)==value) {
+					if (ctx->names[j].ino == value) {
 						++result;
 						break;
 					}
_
